---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t007.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2200, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54440, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56380, symBinAddr: 0xA260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56770, symBinAddr: 0xA650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57710, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57720, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53F80, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53F84, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53F88, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x540D0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54188, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5418C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54190, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54194, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54198, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x541A0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x541B0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x541B8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x541C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x541C8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x541D0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x541D8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54220, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x542C0, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x54360, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54368, symBinAddr: 0x8308, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54370, symBinAddr: 0x8310, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xE80, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xDD0, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xCD0, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xF00, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xFC0, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x11E0, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1280, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1390, symSize: 0x150 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x14E0, symSize: 0x30 }
  - { offsetInCU: 0x9F5F, offset: 0x9F5F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1510, symSize: 0x150 }
  - { offsetInCU: 0xA157, offset: 0xA157, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1660, symSize: 0x160 }
  - { offsetInCU: 0xA417, offset: 0xA417, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x17C0, symSize: 0x4A0 }
  - { offsetInCU: 0xA68A, offset: 0xA68A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1C60, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A5, offset: 0xA8A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1E10, symSize: 0xA0 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1EB0, symSize: 0x20 }
  - { offsetInCU: 0xA9AB, offset: 0xA9AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1ED0, symSize: 0x20 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1EF0, symSize: 0x20 }
  - { offsetInCU: 0xAB95, offset: 0xAB95, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1F10, symSize: 0x1A0 }
  - { offsetInCU: 0xAEB1, offset: 0xAEB1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x20B0, symSize: 0x150 }
  - { offsetInCU: 0xB06E, offset: 0xB06E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x24A0, symSize: 0x1D0 }
  - { offsetInCU: 0xB36A, offset: 0xB36A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2670, symSize: 0x80 }
  - { offsetInCU: 0xB433, offset: 0xB433, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x26F0, symSize: 0x6C0 }
  - { offsetInCU: 0xBFA9, offset: 0xBFA9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4F0, symBinAddr: 0x4CA0, symSize: 0xB0 }
  - { offsetInCU: 0xC020, offset: 0xC020, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2DB0, symSize: 0x70 }
  - { offsetInCU: 0xC0DC, offset: 0xC0DC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2E20, symSize: 0xA0 }
  - { offsetInCU: 0xC1E7, offset: 0xC1E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2EC0, symSize: 0x40 }
  - { offsetInCU: 0xC2DD, offset: 0xC2DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2F00, symSize: 0x2B0 }
  - { offsetInCU: 0xC683, offset: 0xC683, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x31B0, symSize: 0xC0 }
  - { offsetInCU: 0xC7C9, offset: 0xC7C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3270, symSize: 0x10 }
  - { offsetInCU: 0xC88B, offset: 0xC88B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3280, symSize: 0x240 }
  - { offsetInCU: 0xCB74, offset: 0xCB74, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x34C0, symSize: 0x10 }
  - { offsetInCU: 0xCBD1, offset: 0xCBD1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x34D0, symSize: 0x790 }
  - { offsetInCU: 0xD437, offset: 0xD437, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA4B0, symBinAddr: 0x3C60, symSize: 0x10 }
  - { offsetInCU: 0xD494, offset: 0xD494, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA4C0, symBinAddr: 0x3C70, symSize: 0x190 }
  - { offsetInCU: 0xD57A, offset: 0xD57A, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA650, symBinAddr: 0x3E00, symSize: 0x20 }
  - { offsetInCU: 0xD5C6, offset: 0xD5C6, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA670, symBinAddr: 0x3E20, symSize: 0x140 }
  - { offsetInCU: 0xD714, offset: 0xD714, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA7B0, symBinAddr: 0x3F60, symSize: 0xE0 }
  - { offsetInCU: 0xD818, offset: 0xD818, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA890, symBinAddr: 0x4040, symSize: 0xE0 }
  - { offsetInCU: 0xD8F9, offset: 0xD8F9, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA970, symBinAddr: 0x4120, symSize: 0x20 }
  - { offsetInCU: 0xD97B, offset: 0xD97B, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA990, symBinAddr: 0x4140, symSize: 0x20 }
  - { offsetInCU: 0xD9E7, offset: 0xD9E7, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA9B0, symBinAddr: 0x4160, symSize: 0x250 }
  - { offsetInCU: 0xDD16, offset: 0xDD16, size: 0x8, addend: 0x0, symName: _cbNewSingleStep, symObjAddr: 0xAC00, symBinAddr: 0x43B0, symSize: 0x250 }
  - { offsetInCU: 0xE045, offset: 0xE045, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xAE50, symBinAddr: 0x4600, symSize: 0x20 }
  - { offsetInCU: 0xE0A6, offset: 0xE0A6, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xAE70, symBinAddr: 0x4620, symSize: 0x20 }
  - { offsetInCU: 0xE107, offset: 0xE107, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xAE90, symBinAddr: 0x4640, symSize: 0x20 }
  - { offsetInCU: 0xE189, offset: 0xE189, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xAEB0, symBinAddr: 0x4660, symSize: 0x20 }
  - { offsetInCU: 0xE22C, offset: 0xE22C, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xAED0, symBinAddr: 0x4680, symSize: 0x20 }
  - { offsetInCU: 0xE287, offset: 0xE287, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xAEF0, symBinAddr: 0x46A0, symSize: 0x20 }
  - { offsetInCU: 0xE2FA, offset: 0xE2FA, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xAF10, symBinAddr: 0x46C0, symSize: 0x20 }
  - { offsetInCU: 0xE36D, offset: 0xE36D, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xAF30, symBinAddr: 0x46E0, symSize: 0x20 }
  - { offsetInCU: 0xE3D4, offset: 0xE3D4, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xAF50, symBinAddr: 0x4700, symSize: 0x20 }
  - { offsetInCU: 0xE43B, offset: 0xE43B, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xAF70, symBinAddr: 0x4720, symSize: 0x20 }
  - { offsetInCU: 0xE496, offset: 0xE496, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xAF90, symBinAddr: 0x4740, symSize: 0x20 }
  - { offsetInCU: 0xE4F1, offset: 0xE4F1, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xAFB0, symBinAddr: 0x4760, symSize: 0x20 }
  - { offsetInCU: 0xE570, offset: 0xE570, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xAFD0, symBinAddr: 0x4780, symSize: 0x20 }
  - { offsetInCU: 0xE5BF, offset: 0xE5BF, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xAFF0, symBinAddr: 0x47A0, symSize: 0x20 }
  - { offsetInCU: 0xE5F6, offset: 0xE5F6, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xB010, symBinAddr: 0x47C0, symSize: 0x20 }
  - { offsetInCU: 0xE62D, offset: 0xE62D, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xB030, symBinAddr: 0x47E0, symSize: 0x80 }
  - { offsetInCU: 0xE6B1, offset: 0xE6B1, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xB0B0, symBinAddr: 0x4860, symSize: 0x20 }
  - { offsetInCU: 0xE724, offset: 0xE724, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xB0D0, symBinAddr: 0x4880, symSize: 0x300 }
  - { offsetInCU: 0xE807, offset: 0xE807, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB3D0, symBinAddr: 0x4B80, symSize: 0x120 }
  - { offsetInCU: 0xE978, offset: 0xE978, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB5A0, symBinAddr: 0x4D50, symSize: 0x36A }
...
